package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 咨询机构(SysAdvisoryBody)表实体类
 *
 * @author sxk
 * @since 2023-12-12 10:12:06
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AdvisoryBody implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 咨询机构ID
     */
    @TableId(value = "advisory_body_id")
    private Long advisoryBodyId;
    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    private Integer advisoryBodyCid;
    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;
}

